> ## Documentation Index
> Fetch the complete documentation index at: https://docs.humcli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register as operator

> Register a new human operator. In development mode, KYC is auto-approved.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/operator/register
openapi: 3.1.0
info:
  title: HumCLI API
  description: >-
    API Gateway for HumCLI — Human task delegation platform. Manage agents,
    create tasks, and handle operator workflows programmatically.
  version: 1.0.0
  contact:
    name: HumCLI Support
    email: support@humcli.com
servers:
  - url: https://api.humcli.com
    description: Production
security: []
tags:
  - name: Agents
    description: Agent registration, API keys, wallet, and deposits
  - name: Tasks
    description: Task creation, management, and verification
  - name: Operators
    description: Operator registration, task browsing, earnings, and payouts
  - name: Webhooks
    description: Inbound webhook callbacks
paths:
  /api/v1/operator/register:
    post:
      tags:
        - Operators
      summary: Register as operator
      description: >-
        Register a new human operator. In development mode, KYC is
        auto-approved.
      operationId: operatorRegister
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OperatorRegisterRequest'
      responses:
        '201':
          description: Operator registered
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperatorRegisterResponse'
        '409':
          description: Email already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    OperatorRegisterRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        email:
          type: string
          format: email
        phone:
          type: string
        location:
          type: object
          properties:
            city:
              type: string
            country:
              type: string
          required:
            - city
            - country
        skills:
          type: array
          items:
            type: string
          default: []
      required:
        - name
        - email
    OperatorRegisterResponse:
      type: object
      properties:
        operator_id:
          type: string
        name:
          type: string
        kyc_status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
      required:
        - operator_id
        - name
        - kyc_status

````